import request from '/@/utils/request';

export function workingHoursSetApi() {
    return {
        //工作时间组分页列表
        postWorkTimeGroupPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/getWorkTimeGroupByPage`,
                method: 'post',
                data: data
            });
        },

        // 工作时间组新增
        addWorkTimeGroup: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/addWorkTimeGroup`,
                method: 'post',
                data: data
            });
        },

        // 工作时间组修改
        updateWorkTimeGroup: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/updateWorkTimeGroup`,
                method: 'post',
                data: data
            });
        },

        // 工作时间组删除
        deleteWorkTimeGroup: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/deleteWorkTimeGroup`,
                method: 'post',
                data: data
            });
        },

        // 工作时间组批量删除
        deletBatchWorkTimeGroup: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/workTime/deletBatchWorkTimeGroup`,
                method: 'post',
                data: data
            });
        }
    };
}
